Page MenuHomePhabricator

Archive the Annotator extension
Closed, ResolvedPublicRequest

Description

Reason: rEANN extension-Annotator is marked as unmaintained and unstable on mediawiki.org and no development is happening on it. The maintainer seems unresponsive to Tasks at MediaWiki-extensions-Annotator too.

  • Archive documentation on mediawiki.org
  • Remove from mediawiki/extensions / mediawiki/skins (along with in .gitmodules)
  • Remove tests in integration/config (zuul/layout.yaml)
  • Remove from translatewiki (groups/MediaWiki/mediawiki-extensions.txt)
  • Remove manifest/other references from mediawiki/vagrant if they exist
  • Empty repository and add a OBSOLETE file.
  • Archive Phabricator project MediaWiki-extensions-Annotator for associated extension/skin
  • Edit Phabricator project MediaWiki-extensions-Annotator description for associated extension/skin with a link to this ticket
  • Archive the extension's diffusion repository: rEANN extension-Annotator
  • Mark the repository read-only in Gerrit.
  • Delete the GitHub mirror: https://github.com/wikimedia/mediawiki-extensions-Annotator

Details

Related Gerrit Patches:
mediawiki/extensions/Annotator : refs/meta/configMark repository as read-only
mediawiki/extensions/Annotator : masterArchive the Annotator extension
mediawiki/extensions : masterArchive extension Annotator
translatewiki : masterArchive the Annotator extension
integration/config : masterArchive the Annotator extension

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2018, 10:35 PM

I'll work on this one, but I'll wait a bit before proceeding.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMar 14 2018, 10:36 PM

Change 420994 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions@master] Archive extension Annotator

https://gerrit.wikimedia.org/r/420994

Change 420995 had a related patch set (by MarcoAurelio) published:
[integration/config@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/420995

Change 420996 had a related patch set (by MarcoAurelio) published:
[translatewiki@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/420996

Change 420995 merged by jenkins-bot:
[integration/config@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/420995

Change 421003 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Annotator@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/421003

Change 421004 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Annotator@refs/meta/config] Mark repository as read-only

https://gerrit.wikimedia.org/r/421004

Change 420996 merged by jenkins-bot:
[translatewiki@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/420996

Change 420994 merged by Umherirrender:
[mediawiki/extensions@master] Archive extension Annotator

https://gerrit.wikimedia.org/r/420994

Change 421003 merged by Umherirrender:
[mediawiki/extensions/Annotator@master] Archive the Annotator extension

https://gerrit.wikimedia.org/r/421003

Change 421004 merged by Umherirrender:
[mediawiki/extensions/Annotator@refs/meta/config] Mark repository as read-only

https://gerrit.wikimedia.org/r/421004

MarcoAurelio updated the task description. (Show Details)EditedMar 23 2018, 9:57 AM
MarcoAurelio added a subscriber: demon.

Diffusion done. Ping @demon for the GitHub repo mirror deletion.

https://github.com/wikimedia/mediawiki-extensions-Annotator

MarcoAurelio closed this task as Resolved.Apr 1 2018, 10:29 AM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.